#
# spec file for package python-adal
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-adal
Version:        1.0.2
Release:        lp152.3.3
Summary:        Azure Active Directory library
License:        MIT
Group:          Development/Languages/Python
Url:            https://pypi.python.org/pypi/adal
Source:         https://files.pythonhosted.org/packages/source/a/adal/adal-%{version}.tar.gz
Source1:        HISTORY.txt
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-PyJWT >= 1.0.0
Requires:       python-cryptography >= 1.1.0
Requires:       python-python-dateutil >= 2.1.0
Requires:       python-requests >= 2.0.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%python_subpackages

%description
The ADAL for Python library makes it easy for python application to authenticate to
Azure Active Directory (AAD) in order to access AAD protected web resources.

%prep
%setup -q -n adal-%{version}
cp %{SOURCE1} HISTORY.txt

%build
%python_build

%install
%python_install

%fdupes %{buildroot}/%{python_sitelib}/*

%files %{python_files}
%defattr(-,root,root,-)
%doc HISTORY.txt README.md
%{python_sitelib}/*

%changelog
* Mon Sep  3 2018 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 1.0.2
  + For detailed information about changes see the
    HISTORY.txt file provided with this package
- Update Requires from setup.py
* Wed Jan 31 2018 adrian.glaubitz@suse.com
- New upstream release
  + Version 0.5.0
  + For detailed information about changes see the
    HISTORY.txt file provided with this package
- Install HISTORY.txt into doc directory
- Install README.md into doc directory
- Remove patches merged upstream
  + 0001-Forcing-utf8-decoding.patch
* Tue Jul 11 2017 adrian.glaubitz@suse.com
- Update package names in Requires
  + Rename python-dateutil to python-python-dateutil
* Mon Jul 10 2017 adrian.glaubitz@suse.com
- New upstream release
  + Version 0.4.5
- Provide full source URL in Source field
- Convert package to single spec
- Add patch from upstream to enforce UTF-8 decoding
  + 0001-Forcing-utf8-decoding.patch
* Mon Dec 12 2016 ms@suse.com
- Include in SLE 12 (fate#322171, bsc#1014478)
* Mon Dec 12 2016 ms@suse.com
- Initial build
  + Version 0.4.3
